/* Fancier plotting for name/rank/serial number data */

OPTIONS LINESIZE=74;
LIBNAME mydata "mydata";
TITLE 'EDA for quantitative variables';

/* Basic statistics for quantitative data */
/* Test of Normality is an option. */
TITLE2 'Simple univariate analysis';
PROC UNIVARIATE DATA=mydata.military  NORMALTEST;
  VAR IQ serIQrat;
RUN;

/* Additional options make plots */
TITLE2 'With histogram and QQ-plot';
PROC UNIVARIATE DATA=mydata.military;
    VAR IQ serIQrat;
    HISTOGRAM serIQrat / NORMAL;
    HISTOGRAM IQ / NORMAL;
    QQPLOT IQ;
RUN;


/* Additional plot options make things nicer */
TITLE2 'Add QQ reference line; control binning';
PROC UNIVARIATE DATA=mydata.military;
    VAR IQ;
    QQPLOT / NORMAL (MU=117.1 SIGMA=22.44 COLOR=red);
    HISTOGRAM / NORMAL ENDPOINTS = 90 to 160 by 5;
    HISTOGRAM / NORMAL ENDPOINTS = 90 to 160 by 10;
RUN;

/* Most procs allow BY statements to analyze for */
/* separate categories.                          */
/* This only works correctly for sorted data.    */
TITLE2 'By rank';
PROC SORT DATA=mydata.military;
  BY rank;
RUN;
PROC UNIVARIATE DATA=mydata.military  NORMALTEST;
  BY rank;
  VAR IQ;
RUN;

/* But without sorting you can use: */
PROC UNIVARIATE DATA=mydata.military  NORMALTEST;
  CLASS rank;
  VAR IQ;
RUN;
